Bug 274381 - CPU ZLib test fails
CPU ZLib test fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hardinfo (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 04:36 EDT by Markus Lindholm
Modified: 2008-04-04 02:16 EDT (History)
0 users

See Also:
Fixed In Version: 0.4.2.2-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 13:21:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Lindholm 2007-09-02 04:36:35 EDT
Description of problem:
The test Benchmarks/CPU ZLib fails with "Warning Cannot load ZLib:
/usr/lib/libz.so: cannot open shared object file: No such file or directory"
even though zlib is installed

[mli@zeus ~]$ rpm -q zlib
zlib-1.2.3-10.fc7
[mli@zeus ~]$ 

and libz.so can be found in 
[mli@zeus ~]$ ls -l /lib64/libz.so.1*
lrwxrwxrwx 1 root root    13 2007-06-07 20:54 /lib64/libz.so.1 -> libz.so.1.2.3
-rwxr-xr-x 1 root root 85640 2007-03-23 15:05 /lib64/libz.so.1.2.3
[mli@zeus ~]$ 



Version-Release number of selected component (if applicable):
0.4.2.2

How reproducible:
Always

Steps to Reproduce:
1. Start hardinfo
2. Run the test Benchmarks/CPU ZLib
3.
  
Actual results:
error message

Expected results:
That the test would have been run

Additional info:
Comment 1 Adel Gadllah 2007-09-02 05:21:47 EDT
Hi,
Thx for the report.
I added a patch that should fix the issue.
Can you please try this build and tell me if it works for you:
http://koji.fedoraproject.org/koji/buildinfo?buildID=17561
Comment 2 Markus Lindholm 2007-09-04 14:52:30 EDT
Still a problem. Now it fails with 

"Cannot load ZLib: /usr/lib64/libz.so.1: cannot open shared object file: No such
file or directory"

libz.so.1 resides in /lib64 and not in /usr/lib64

[mli@zeus ~]$ rpm -ql zlib
/lib64/libz.so.1
/lib64/libz.so.1.2.3
/usr/share/doc/zlib-1.2.3
/usr/share/doc/zlib-1.2.3/ChangeLog
/usr/share/doc/zlib-1.2.3/FAQ
/usr/share/doc/zlib-1.2.3/README
[mli@zeus ~]$ 

Comment 3 Fedora Update System 2007-09-04 18:05:51 EDT
hardinfo-0.4.2.2-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Adel Gadllah 2007-09-05 12:29:35 EDT
(In reply to comment #2)
> Still a problem. Now it fails with 
> 
> "Cannot load ZLib: /usr/lib64/libz.so.1: cannot open shared object file: No such
> file or directory"
> 
> libz.so.1 resides in /lib64 and not in /usr/lib64

Sorry stupid mistake.
Should be fixed in 0.4.2.2-7:
http://koji.fedoraproject.org/koji/buildinfo?buildID=17872
Please verify if this fixes the bug for you so that I can push it into updates.
Comment 5 Markus Lindholm 2007-09-05 15:47:13 EDT
Yes, now it works. Thanks.
Comment 6 Fedora Update System 2007-09-07 13:20:59 EDT
hardinfo-0.4.2.2-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Vince Schiavoni 2008-04-04 02:16:41 EDT
Hardinfo test Benchmarks/CPU ZLib still fails with same error message on F8. 
Hardinfo is looking for file:
/usr/lib/libz.so -> /lib/libz.so.1
which is part of package zlib-devel, but throws error message when it's not
found.  Manual creation of the sym-link stops error and test succeeds.

Please either add zlib-devel as a prerequisite of hardinfo, or remove the
dependency.

Thanx and Regards,
VJSchiavoni

kernel-2.6.24.3-50.fc8.i386
hardinfo-0.4.2.3-1.fc8.i386
zlib-1.2.3-14.fc8.i386

Note You need to log in before you can comment on or make changes to this bug.